## r-cran-irkernel 1.1

=== DESCRIPTION ===
Package: IRkernel
Title: Native R Kernel for the 'Jupyter Notebook'
Description: 
    The R kernel for the 'Jupyter' environment executes R code which the front-end
    ('Jupyter Notebook' or other front-ends) submits to the kernel via the network.
Version: 1.1
Authors@R: c(
    person('Thomas', 'Kluyver', role = c('aut', 'cph'), email = 'thomas@kluyver.me.uk'),
    person('Philipp', 'Angerer', role = c('aut', 'cph', 'cre'), email = 'phil.angerer@gmail.com', comment = c(ORCID = "0000-0002-0369-2888")),
    person('Jan', 'Schulz', role = c('aut', 'cph'), email = 'jasc@gmx.net'),
    person('Karthik', 'Ram', role = c('aut', 'cph'), email = 'karthik.ram@gmail.com'))
URL: https://irkernel.github.io
BugReports: https://github.com/IRkernel/IRkernel/issues/
Depends: R (>= 3.2.0)
Suggests: testthat, roxygen2
SystemRequirements: jupyter, jupyter_kernel_test (Python package for
        testing)
License: MIT + file LICENSE
LazyData: true
Encoding: UTF-8
Imports: repr (>= 0.4.99), methods, evaluate (>= 0.10), IRdisplay (>=
        0.3.0.9999), pbdZMQ (>= 0.2-1), crayon, jsonlite (>= 0.9.6),
        uuid, digest
Collate: 'class_unions.r' 'logging.r' 'comm_manager.r' 'compat.r'
        'completion.r' 'environment_runtime.r' 'environment_shadow.r'
        'options.r' 'execution.r' 'handlers.r' 'help.r' 'installspec.r'
        'utils.r' 'kernel.r' 'main.r' 'onload.r'
RoxygenNote: 7.0.0
NeedsCompilation: no
Packaged: 2019-12-06 15:27:20 UTC; phil
Author: Thomas Kluyver [aut, cph],
  Philipp Angerer [aut, cph, cre]
    (<https://orcid.org/0000-0002-0369-2888>),
  Jan Schulz [aut, cph],
  Karthik Ram [aut, cph]
Maintainer: Philipp Angerer <phil.angerer@gmail.com>
Repository: CRAN
Date/Publication: 2019-12-06 16:10:02 UTC

## r-cran-irkernel 1.0.2

=== debian/changelog ===
r-cran-irkernel (1.0.2-1) unstable; urgency=medium

  * Team Upload

  [ Gordon Ball ]
  * New upstream release
  * Add autopkgtest which runs the embedded jupyter-kernel-test

  [ Andreas Tille ]
  * Revert to the usage of debian/compat + debhelper instead of
    debhelper-compat (see #932179)
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jul 2019 14:13:59 +0200

r-cran-irkernel (0.8.15-1) unstable; urgency=medium

  * Initial release. (Closes: #814736)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 19 Feb 2019 12:46:27 +0100

=== debian/control ===
Source: r-cran-irkernel
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Gordon Ball <gordon@chronitis.net>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-repr,
               r-cran-evaluate (>= 0.10),
               r-cran-irdisplay,
               r-cran-pbdzmq,
               r-cran-crayon,
               r-cran-jsonlite,
               r-cran-uuid,
               r-cran-digest
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-irkernel
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-irkernel.git
Homepage: https://cran.r-project.org/package=IRkernel

Package: r-cran-irkernel
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Native R kernel for the Jupyter notebook
 Native R kernel for Jupyter, allowing R to be used in the notebook (or other
 interfaces), and providing autocompletion and rich display output.

## r-cran-irkernel 1.1

=== debian/changelog ===
r-cran-irkernel (1.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

  [ Gordon Ball ]
  * Import upstream patch to fix failing tests

 -- Gordon Ball <gordon@chronitis.net>  Mon, 16 Dec 2019 19:03:10 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-repr,
@@ -15,7 +15,7 @@
                r-cran-jsonlite,
                r-cran-uuid,
                r-cran-digest
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-irkernel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-irkernel.git
 Homepage: https://cran.r-project.org/package=IRkernel

=== debian/tests/control ===
Tests: jkt
Depends: python3, python3-jupyter-client, python3-nose, r-cran-irkernel
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds[\d]*$// \
https://cran.r-project.org/src/contrib/IRkernel_([-\d.]*)\.tar\.gz

## r-cran-irkernel 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Description: 
     The R kernel for the 'Jupyter' environment executes R code which the front-end
     ('Jupyter Notebook' or other front-ends) submits to the kernel via the network.
-Version: 1.1
+Version: 1.1.1
 Authors@R: c(
     person('Thomas', 'Kluyver', role = c('aut', 'cph'), email = 'thomas@kluyver.me.uk'),
     person('Philipp', 'Angerer', role = c('aut', 'cph', 'cre'), email = 'phil.angerer@gmail.com', comment = c(ORCID = "0000-0002-0369-2888")),
@@ -25,9 +25,9 @@
         'completion.r' 'environment_runtime.r' 'environment_shadow.r'
         'options.r' 'execution.r' 'handlers.r' 'help.r' 'installspec.r'
         'utils.r' 'kernel.r' 'main.r' 'onload.r'
-RoxygenNote: 7.0.0
+RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2019-12-06 15:27:20 UTC; phil
+Packaged: 2020-07-20 12:04:59 UTC; phil
 Author: Thomas Kluyver [aut, cph],
   Philipp Angerer [aut, cph, cre]
     (<https://orcid.org/0000-0002-0369-2888>),
@@ -35,4 +35,4 @@
   Karthik Ram [aut, cph]
 Maintainer: Philipp Angerer <phil.angerer@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-12-06 16:10:02 UTC
+Date/Publication: 2020-07-20 12:22:06 UTC

=== debian/changelog ===
r-cran-irkernel (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
  * Drop patch 0001-Fix-tests.patch (applied upstream)
  * Patch testing completion in the testsuite, depends on the order of tests
    being run.

 -- Gordon Ball <gordon@chronitis.net>  Fri, 24 Jul 2020 19:22:31 +0000

r-cran-irkernel (1.1-2) unstable; urgency=medium

  * Update to debhelper compat level 13
  * Update to Standards-Version 4.5.0
  * Declare Rules-Requires-Root: no
  * Rebuild for r-api-4.0

 -- Gordon Ball <gordon@chronitis.net>  Mon, 18 May 2020 21:41:31 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-repr,
@@ -15,10 +15,11 @@
                r-cran-jsonlite,
                r-cran-uuid,
                r-cran-digest
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-irkernel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-irkernel.git
 Homepage: https://cran.r-project.org/package=IRkernel
+Rules-Requires-Root: no
 
 Package: r-cran-irkernel
 Architecture: all

## r-cran-irkernel 1.3

=== debian/changelog ===
r-cran-irkernel (1.3-2) unstable; urgency=medium

  * Team Upload.
  * Add versioned test-dep on python3-jupyter-client
  * Add d/salsa-ci.yml
  * d/watch: Bump version to 4

 -- Nilesh Patra <nilesh@debian.org>  Wed, 12 Jan 2022 03:09:22 +0530

r-cran-irkernel (1.3-1) unstable; urgency=medium

  * New upstream version 1.3
  * Standards-Version: 4.6.0
  * Re-enable jupyter-kernel-test autopkgtest

 -- Gordon Ball <gordon@chronitis.net>  Mon, 10 Jan 2022 16:14:27 +0000

r-cran-irkernel (1.2-1) unstable; urgency=medium

  * New upstream version 1.2
  * Drop patches
  * tests: drop jkt; doesn't appear to match kernel behaviour

 -- Gordon Ball <gordon@chronitis.net>  Mon, 16 Aug 2021 17:41:32 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                r-cran-jsonlite,
                r-cran-uuid,
                r-cran-digest
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-irkernel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-irkernel.git
 Homepage: https://cran.r-project.org/package=IRkernel

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds[\d]*$// \
https://cran.r-project.org/src/contrib/IRkernel_([-\d.]*)\.tar\.gz

## r-cran-irkernel 1.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Description: 
     The R kernel for the 'Jupyter' environment executes R code which the front-end
     ('Jupyter Notebook' or other front-ends) submits to the kernel via the network.
-Version: 1.1.1
+Version: 1.3.2
 Authors@R: c(
     person('Thomas', 'Kluyver', role = c('aut', 'cph'), email = 'thomas@kluyver.me.uk'),
     person('Philipp', 'Angerer', role = c('aut', 'cph', 'cre'), email = 'phil.angerer@gmail.com', comment = c(ORCID = "0000-0002-0369-2888")),
@@ -16,7 +16,6 @@
 SystemRequirements: jupyter, jupyter_kernel_test (Python package for
         testing)
 License: MIT + file LICENSE
-LazyData: true
 Encoding: UTF-8
 Imports: repr (>= 0.4.99), methods, evaluate (>= 0.10), IRdisplay (>=
         0.3.0.9999), pbdZMQ (>= 0.2-1), crayon, jsonlite (>= 0.9.6),
@@ -25,9 +24,9 @@
         'completion.r' 'environment_runtime.r' 'environment_shadow.r'
         'options.r' 'execution.r' 'handlers.r' 'help.r' 'installspec.r'
         'utils.r' 'kernel.r' 'main.r' 'onload.r'
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2020-07-20 12:04:59 UTC; phil
+Packaged: 2023-01-20 19:55:04 UTC; phil
 Author: Thomas Kluyver [aut, cph],
   Philipp Angerer [aut, cph, cre]
     (<https://orcid.org/0000-0002-0369-2888>),
@@ -35,4 +34,4 @@
   Karthik Ram [aut, cph]
 Maintainer: Philipp Angerer <phil.angerer@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-07-20 12:22:06 UTC
+Date/Publication: 2023-01-20 20:20:02 UTC

=== debian/changelog ===
r-cran-irkernel (1.3.2-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * No need to exclude files any more

  [ Graham Inggs ]
  * Update completion test for changed output (Closes: #1039653)

 -- Graham Inggs <ginggs@debian.org>  Mon, 03 Jul 2023 12:07:36 +0000

r-cran-irkernel (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 09:01:42 +0100

r-cran-irkernel (1.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Contact, Repository.
  * Drop __pycache__ dirs from upstream source tarball

 -- Andreas Tille <tille@debian.org>  Mon, 07 Nov 2022 16:17:23 +0100

=== debian/tests/control ===
Tests: jkt
Depends: python3, python3-jupyter-client (>= 7.1.0-1~), python3-jsonschema, r-cran-irkernel
Restrictions: allow-stderr

## r-cran-irkernel 1.3.2+git20240429.124f234

=== DESCRIPTION ===
Package: IRkernel
Title: Native R Kernel for the 'Jupyter Notebook'
Description:
    The R kernel for the 'Jupyter' environment executes R code which the front-end
    ('Jupyter Notebook' or other front-ends) submits to the kernel via the network.
Version: 1.3.2.9000
Authors@R: c(
    person('Thomas', 'Kluyver', role = c('aut', 'cph'), email = 'thomas@kluyver.me.uk'),
    person('Philipp', 'Angerer', role = c('aut', 'cph', 'cre'), email = 'phil.angerer@gmail.com', comment = c(ORCID = "0000-0002-0369-2888")),
    person('Jan', 'Schulz', role = c('aut', 'cph'), email = 'jasc@gmx.net'),
    person('Karthik', 'Ram', role = c('aut', 'cph'), email = 'karthik.ram@gmail.com'))
URL: https://irkernel.github.io
BugReports: https://github.com/IRkernel/IRkernel/issues/
Depends:
    R (>= 3.2.0)
Suggests:
    testthat,
    roxygen2
SystemRequirements:
    jupyter,
    jupyter_kernel_test (Python package for testing)
License: MIT + file LICENSE
Encoding: UTF-8
Imports:
    repr (>= 0.4.99),
    methods,
    evaluate (>= 0.10),
    IRdisplay (>= 0.3.0.9999),
    pbdZMQ (>= 0.2-1),
    crayon,
    jsonlite (>= 0.9.6),
    uuid,
    digest
Collate: 
    'class_unions.r'
    'logging.r'
    'comm_manager.r'
    'compat.r'
    'completion.r'
    'environment_runtime.r'
    'environment_shadow.r'
    'options.r'
    'execution.r'
    'handlers.r'
    'help.r'
    'installspec.r'
    'utils.r'
    'kernel.r'
    'main.r'
    'onload.r'
RoxygenNote: 7.2.3

=== Makefile ===
.PHONY: IRkernel.pdf docs check test docker_dev_image docker_dev docker_test

DEV_IMAGE:=jupyter/r-notebook-dev

IRkernel.pdf: man/*.Rd
	RD2PDF_INPUTENC=inputenx R_RD4PDF=ae,hyper R CMD Rd2pdf --force --batch --no-preview --encoding=UTF-8 --output=$@ .

docs:
	Rscript -e "library(devtools); document('.'); check_doc()"

check:
	Rscript -e "library(devtools); check()"

test: 
	Rscript  -e "library(testthat); test()"

docker_dev_image:
	@docker build -f Dockerfile.dev -t $(DEV_IMAGE) .

docker_dev: docker_dev_image
	@docker run -it --rm \
	-p 8888:8888 \
	-v `pwd`:/src_irkernel \
	$(DEV_IMAGE) bash -c 'R CMD INSTALL -l /opt/conda/lib/R/library /src_irkernel && \
	                        jupyter notebook --no-browser --port 8888 --ip='*''

docker_test: docker_dev_image
	@echo 'Running IRkernel tests'
	@docker run -it --rm \
		-v `pwd`:/src_irkernel \
		$(DEV_IMAGE) bash -c 'R CMD build /src_irkernel && \
		R CMD check IRkernel*.tar.gz'

=== tests/requirements.txt ===
jupyter
jupyter-client
ndjson-testrunner>=1.1.3
jupyter-kernel-test>=0.5.0

=== debian/changelog ===
r-cran-irkernel (1.3.2+git20240429.124f234-2) unstable; urgency=medium

  * Team upload
  * Remove test-time dependency on python3-ipykernel, and let
    python3-jupyter-kernel-test handle it

 -- Julian Gilbey <jdg@debian.org>  Tue, 30 Jul 2024 18:17:12 +0100

r-cran-irkernel (1.3.2+git20240429.124f234-1) unstable; urgency=medium

  * Team upload
  * Upstream snapshot
  * Run R tests and drop autopkgtest-pkg-r (which only does a superficial
    test)
  * Drop old files from d/copyright
  * Update standards-version

 -- Julian Gilbey <jdg@debian.org>  Tue, 30 Jul 2024 09:23:05 +0100

=== debian/control ===
Source: r-cran-irkernel
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Gordon Ball <gordon@chronitis.net>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-crayon,
               r-cran-digest,
               r-cran-evaluate,
               r-cran-irdisplay,
               r-cran-jsonlite,
               r-cran-pbdzmq,
               r-cran-repr,
               r-cran-uuid
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-irkernel
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-irkernel.git
Homepage: https://cran.r-project.org/package=IRkernel
Rules-Requires-Root: no

Package: r-cran-irkernel
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: jupyter-client,
            ${R:Recommends}
Suggests: jupyter-notebook,
          ${R:Suggests}
Description: Native R kernel for the Jupyter notebook
 Native R kernel for Jupyter, allowing R to be used in the notebook (or other
 interfaces), and providing autocompletion and rich display output.

=== debian/tests/control ===
Tests: upstream
Depends: jupyter-client,
         python3-all,
         python3-jsonschema,
         python3-jupyter-kernel-test (>= 0.7.0-2),
         r-cran-irkernel,
         r-cran-testthat
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto" \
https://cran.r-project.org/src/contrib/IRkernel_([-\d.]*)\.tar\.gz
